
<html>
  <head>
   
<style> 
#example1 {
  background-image: url("https://images.pexels.com/photos/260689/pexels-photo-260689.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
  height: 100vh;
  width: 100%;
  background-size: cover;
  background-repeat: no repeat;
  background-position: center;
  background-attachment: fixed;
  padding: 20px;
  margin: auto;

}
</style>
</head>
<body>
<div id="example1">
    <div style="text-align: right" style="float: right" >
        <h2><img src="https://www.tecazuay.edu.ec/assets/img/logo.png"  class="izquierda"></h2>
    </div>
    <h1> </h1>
  <h1 class="test1">CONVOCATORIAS</h1>
 
  <hr class="bordes"/>
  <div class="row ">
   
    <p-table  class="ex2" #dt [columns]="cols" [value]="convocatorias" [paginator]="true" (onRowSelect)="onRowSelect($event)"
        [rows]="10" [filterDelay]="400" selectionMode="single" [(selection)]="convocatoriaseleccionado"
        dataKey="idConvocatoria" [style]="{'margin-left':'40px'}"   >
         <ng-template pTemplate="caption">
            Módulos
        </ng-template>
        <ng-template pTemplate="caption">
            <div style="text-align: right">
                <i class="fa fa-search" style="margin:6px 6px 0 0"></i>
                <input type="text" pInputText size="50" placeholder="Busqueda"
                    (input)="dt.filterGlobal($event.target.value, 'contains')" style="width:auto" />
            </div>
        </ng-template>
        <ng-template pTemplate="header" let-columns>
            <tr>
                <th *ngFor="let col of columns" [pSortableColumn]="col.field">
                    {{ col.header }}
                    <p-sortIcon [field]="col.field"></p-sortIcon>
                </th>
                <th> Acciones</th>
            </tr>
        </ng-template>
        
        <ng-template pTemplate="body" let-rowData let-columns="columns">
            <tr [pSelectableRow]="rowData">
                <td *ngFor="let col of columns">
                 <span *ngIf="(col.field==='solicitudempresa')" >{{ rowData[col.field]?.idSolicitudEmpresa}}</span>
                <span *ngIf="(col.field==='fechaMaximo') " >{{ rowData[col.field] | date }}</span>
                            <span *ngIf="!((col.field==='fechaMaximo')||(col.field==='solicitudempresa'))"> {{ rowData[col.field] }}</span> 
                   
                </td>
                  <td>   <button class="btn btn-success" routerLink="/solicitudestudiante"
                                   >Participar</button></td>
            </tr>
        </ng-template>
        <ng-template pTemplate="summary" let-rowData>
            <div style="text-align:right">
                <button type="button" pButton icon="fa fa-plus" (click)="showDialogToAdd()"
                    label="Nuevo"></button>
                <button type="button" pButton icon="fa fa-trash" (click)="borrar(idConvocatoria)" label="Borrar"></button>
                <button type="button"  pButton icon="fa fa-edit" (click)="showDialogToEdit()"
                    label="Editar"></button>
                 <button type="button"  pButton icon="fa fa-edit" (click)="generarSolicitud()"
                    label="Generar"></button>
                <!-- <button type="button" pButton icon="fa fa-refresh" (click)="listar()"
                    label="Actualizar">Actualizar</button> -->

            </div>
        </ng-template>
    </p-table>
    <p-dialog header="CONVOCATORIA" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true"
        [style]="{ width: '400px' }">
       

        <div class="col-md-8 mt-4">
            <form #form="ngForm" *ngIf="convocatoria">

                <div class="form-group">
                    <label for="" class="col-form-label-sm">Convocatoria Numero:</label>
                    <input type="text" required class="form-control " placeholder="Ingrese la convocatoria"
                        name="codConvocatoria" #codConvocatoria="ngModel" required [(ngModel)]="convocatoria.codConvocatoria" />

                    <h6 *ngIf="codConvocatoria.hasError('required') && codConvocatoria.touched" class="input-error">Campo obligatorio</h6>
                </div>
                        <div class="form-group">
                        <label for="" class="col-form-label-sm">Fecha:</label>
                            
                            <div class="calender">
                           <p-calendar appendTo='body' class="form-control {{!fecha.valid?'is-invalid':''}}" name="fecha "
                             #fecha="ngModel" required [(ngModel)]="convocatoria.fecha" 
                            [(ngModel)]="date6" [monthNavigator]="true" [yearNavigator]="true" yearRange="1950:2030"></p-calendar>
                               </div >
                                    
                            <h6 *ngIf="fecha.hasError('required') && fecha.touched" class="input-error">Campo obligatorio</h6>
                        </div>
                     <div class="form-group">
                    <label for="" class="col-form-label-sm">Ciclo:</label>
                    <input type="text" required class="form-control" name="ciclo"
                        [(ngModel)]="convocatoria.ciclo" placeholder="Ingrese breve ciclo"
                        #ciclo="ngModel">
                    <h6 *ngIf="ciclo.hasError('required') && ciclo.touched" class="input-error">Campo
                        obligatorio</h6>
                </div>
                <div class="form-group">
                    <label for="" class="col-form-label-sm">Carrera:</label>
                    <input type="text" required class="form-control" name="carrera"
                        [(ngModel)]="convocatoria.carrera" placeholder="Ingrese breve ciclo"
                        #carrera="ngModel">
                    <h6 *ngIf="carrera.hasError('required') && carrera.touched" class="input-error">Campo
                        obligatorio</h6>
                </div>
                   <div class="form-group">
                            <label for="solicitudempresa">
                                 Actividades:
                            </label>
                            
                         <p-dropdown   #mySelect="ngModel" [options]="this.solicitudesempresas"  name="mySelect" placeholder="Seleccione quien solicita" overlayVisible="true" [filter]="true" [showClear]="true" 
                       [ngModelOptions]="{standalone: true}" optionLabel="actividades" [(ngModel)]="convocatoria.solicitudempresas"></p-dropdown>
                        </div>  
                  <div class="form-group">
                            <label for="solicitudempresa">
                                 Empresa:
                            </label>
                            
                         <p-dropdown   #mySelect="ngModel" [options]="this.solicitudesempresas"  name="mySelect" placeholder="Seleccione quien solicita" overlayVisible="true" [filter]="true" [showClear]="true" 
                       [ngModelOptions]="{standalone: true}" optionLabel="empresa.nombre" [(ngModel)]="convocatoria.solicitudempresas"></p-dropdown>
                        </div>  
                    
                <div class="form-group">
                    <label for="" class="col-form-label-sm">Materias:</label>
                    <input type="text" required class="form-control" name="materias"
                        [(ngModel)]="convocatoria.estado" placeholder="Ingrese breve estado"
                        #materias="ngModel">
                    <h6 *ngIf="materias.hasError('required') && materias.touched" class="input-error">Campo
                        obligatorio</h6>
                </div>
                <div class="form-group">
                    <label for="" class="col-form-label-sm">Estado:</label>
                    <input type="text" required class="form-control" name="estado"
                        [(ngModel)]="convocatoria.estado" placeholder="Ingrese breve estado"
                        #estado="ngModel">
                    <h6 *ngIf="estado.hasError('required') && estado.touched" class="input-error">Campo
                        obligatorio</h6>
                </div>

                   <div class="form-group">
                        <label for="" class="col-form-label-sm">Fecha Maximo Postulacion:</label>
                            
                            <div class="calender">
                           <p-calendar appendTo='body' class="form-control {{!fechaMaximo.valid?'is-invalid':''}}" name="fechaMaximo "
                             #fechaMaximo="ngModel" required [(ngModel)]="convocatoria.fechaMaximo" 
                            [(ngModel)]="date5" [monthNavigator]="true" [yearNavigator]="true" yearRange="1950:2030"></p-calendar>
                               </div >
                                    
                            <h6 *ngIf="fechaMaximo.hasError('required') && fechaMaximo.touched" class="input-error">Campo obligatorio</h6>
                        </div>

                <div class="form-group">
                    <label for="" class="col-form-label-sm">Responsable:</label>
                    <input type="text" required class="form-control" name="responsableppp" [(ngModel)]="convocatoria.responsableppp"
                        placeholder="Responsable PPP" #responsableppp="ngModel">
                    <h6 *ngIf="responsableppp.hasError('required') && responsableppp.touched" class="input-error">Campo
                        obligatorio</h6>
                </div>
                <div class="text-center form-row justify-content-around">
                    <div class="col-5">
                        <button class="btn btn-danger" (click)="cerrar()">Cancelar</button>
                    </div>
                    <div class="col-5">
                        <button class="btn btn-success" [disabled]="form.invalid"
                            (click)="btnGuardar()">Guardar</button>
                    </div>
                </div>
            </form>
        </div>
    </p-dialog>
</div>
</div>
</body>
</html>
